Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class XStream11XmlFriendlyMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.AbstractXmlFriendlyMapper
              com.thoughtworks.xstream.mapper.XStream11XmlFriendlyMapper

All Implemented Interfaces:
  Mapper

    public class XStream11XmlFriendlyMapper

extends AbstractXmlFriendlyMapper

Mapper that ensures that all names in the serialization stream are read in an XML friendly way.

- _ (underscore) chars appearing in class names are replaced with $
  (dollar)
- _DOLLAR_ string appearing in field names are replaced with $
  (dollar)
- __ string appearing in field names are replaced with _
  (underscore)
- default is the prefix for class names with no package.

Author:
  Joe Walnes, Mauro Talevi

Nested Class Summary

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Constructor Summary
`XStream11XmlFriendlyMapper(Mapper wrapped)`

Method Summary
`String` | `mapNameFromXML(String xmlName)`
`Class` | `realClass(String elementName)` How a serialized class representation should be mapped back to a real class.
`String` | `realMember(Class type, String serialized)` How a serialized member representation should be mapped back to a real member.

Methods inherited from class com.thoughtworks.xstream.mapper.AbstractXmlFriendlyMapper
`escapeClassName, escapeFieldName, unescapeClassName, unescapeFieldName`

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, aliasForSystemAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, defaultImplementationOf, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getFieldNameForItemTypeAndName, getImplicitCollectionDefForFieldName, getItemTypeForItemFieldName, getLocalConverter, isImmutableValueType, lookupMapperOfType, serializedClass, serializedMember, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XStream11XmlFriendlyMapper

    public XStream11XmlFriendlyMapper(Mapper wrapped)

Method Detail

### realClass

    public Class realClass(String elementName)

  Description copied from interface: `Mapper`
  How a serialized class representation should be mapped back to a real class.

  Specified by:
    `realClass` in interface `Mapper`
  Overrides:
    `realClass` in class `MapperWrapper`

### realMember

    public String realMember(Class type,
                             String serialized)

  Description copied from interface: `Mapper`
  How a serialized member representation should be mapped back to a real member.

  Specified by:
    `realMember` in interface `Mapper`
  Overrides:
    `realMember` in class `MapperWrapper`

### mapNameFromXML

    public String mapNameFromXML(String xmlName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.